Update currency of the Cart. Promotions and gift certificates that don’t apply to the new currency will be removed from your cart. You cannot update the cart currency if the draft order cart or the cart contains a manual discount.
Note
- Substitute your storefront domain for
yourstore.example.com.- The Send a Test Request feature is not currently supported for this endpoint.
This cartʼs unique ID.
Cost of cart’s contents, before applying discounts.
Order based discounted amount only - Coupon discounts and product based discounts are excluded.
Sum of line-items amounts, minus cart-level discounts and coupons. This amount includes taxes (where applicable).
The MIME type of the response body.
To return product options add one of the following include:
lineItems.physicalItems.options: The Cart returns an abbreviated result. Use this to return physical items product options. Can also be used in a /POST to have the extended Cart object return.
lineItems.digitalItems.options: The Cart returns an abbreviated result. Use this to return digital items product options. Can also be used in a /POST to have the extended Cart object return.
lineItems.digitalItems.options,lineItems.physicalItems.options: The Cart returns an abbreviated result. Use this to return digital and physical options. Can also be used in a /POST to have the extended Cart object return.